<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- params:
          - managedBean : the name of the bean used to manage the display (inherit from AbstractValidatorBrowser) -->
    <!-- inserts:
          - additionalCriteria
          - adminButtons
          - actionButtons (val is the var to walk through the dataTable) -->
    <s:div id="globalDiv">
        <h:form id="criteriaForm">
            <s:token allowMultiplePosts="true"/>
            <a4j:queue requestDelay="300" ignoreDupResponses="true"/>
            <h:inputHidden id="filterUrlParameters" name="filterUrlParameters"
                           value="#{managedBean.filter.urlParameters}"/>
            <script>
                updateUrl("criteriaForm:filterUrlParameters");
                jq162("#criteriaForm\\:filterUrlParameters").bind('change',
                        function () {
                            updateUrl("criteriaForm:filterUrlParameters");
                        });
            </script>
            <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                <ui:define name="panel_title">
                    <h:outputText value="#{messages['net.ihe.gazelle.xval.SearchCriteria']}"/>
                </ui:define>
                <div class="row">
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filter" value="#{managedBean.filter}"/>
                            <ui:param name="filterId" value="kind"/>
                            <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xval.ObjectType_2']}"/>
                            <ui:param name="filterForm" value="globalDiv"/>
                        </ui:include>
                    </div>
                </div>
                <ui:insert name="additionalCriteria"/>
                <ui:define name="panel_footer">
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.ResetCriteria']}"
                                       actionListener="#{managedBean.resetFilter()}"
                                       styleClass="gzl-btn" render="globalDiv"/>
                    <div class="btn-group">
                        <button type="button" class="btn gzl-btn-blue dropdown-toggle" data-toggle="dropdown"
                                aria-haspopup="true" aria-expanded="false">#{messages['net.ihe.gazelle.xval.Access']} <span class="caret"/>
                        </button>
                        <ul class="dropdown-menu">
                            <li>
                                <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.Validators']}"
                                                 action="#{managedBean.listValidators()}"/>
                            </li>
                            <li>
                                <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.Rules']}"
                                                 action="#{managedBean.listRules()}"/>
                            </li>
                        </ul>
                    </div>
                </ui:define>
            </ui:decorate>
        </h:form>
        <ui:decorate template="/layout/panels/_panel_title.xhtml">
            <ui:define name="panel_title">
                <h:outputText value="#{messages['net.ihe.gazelle.xval.ReferencedObjects']}"/>
            </ui:define>
            <h:form>
                #{dataTableStateHolder.setAscendingOn('keyword')}
                <rich:dataTable value="#{managedBean.referencedObjects}" var="ref"
                                rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                render="ds" id="refTable">
                    <g:column sortBy="#{'objectType'}" sortOrder="ascending">
                        <ui:define name="header">#{messages['net.ihe.gazelle.xval.Kind']}</ui:define>
                        <h:outputText value="#{ref.objectType}"/>
                    </g:column>
                    <g:column sortBy="#{'keyword'}" sortOrder="ascending"
                              filterBy="#{'keyword'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.xval.Keyword']}</ui:define>
                        <h:outputText value="#{ref.keyword}"/>
                    </g:column>
                    <g:column filterBy="#{'description'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.xval.Description']}</ui:define>
                        <h:outputText value="#{ref.description}"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['net.ihe.gazelle.xval.Actions']}</ui:define>
                        <div class="gzl-never-wrap">
                            <g:imagelink value="#{ref}" fontIcon="gzl-icon-search "/>
                            <ui:insert name="actionButtons"/>
                        </div>
                    </g:column>
                    <f:facet name="footer">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="ds"/>
                            <ui:param name="dataTableId" value="refTable"/>
                        </ui:include>
                    </f:facet>
                </rich:dataTable>
            </h:form>
        </ui:decorate>
    </s:div>
</ui:composition>
